Bug 625357 - *** glibc detected *** /usr/bin/python: malloc(): memory corruption (fast): 0x09073c00 ***
*** glibc detected *** /usr/bin/python: malloc(): memory corruption (fast): 0...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyparted (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 03:37 EDT by Jasper O'neal Hartline
Modified: 2011-06-28 10:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to reproduce memory corruption (631 bytes, text/plain)
2010-08-19 03:38 EDT, Jasper O'neal Hartline
no flags Details
valgrind output of partition.py script (11.83 KB, text/plain)
2010-08-19 03:46 EDT, Jasper O'neal Hartline
no flags Details

  None (edit)
Description Jasper O'neal Hartline 2010-08-19 03:37:47 EDT
Description of problem:
*** glibc detected *** /usr/bin/python: malloc(): memory corruption (fast): 0x09073c00 ***

[root@localhost tmp]# ./partition.py 
*** glibc detected *** /usr/bin/python: malloc(): memory corruption (fast): 0x09073c00 ***
^CKilled

Reproduce with:
#!/usr/bin/python

import os
import sys
import parted



device = parted.Device(path="/dev/sdb")
disk = parted.Disk(device=device)

firstpart = disk.getFirstPartition()
disk.removePartition(partition=firstpart)

start = 63
end = 100

new_geom = parted.Geometry(device=device,
                           start=start,
                           end=end)


partition = parted.Partition(disk=disk,
                             type=82,
                             geometry=new_geom)

constraint = parted.Constraint(exactGeom=new_geom)



disk.addPartition(partition=partition,
                  constraint=constraint)


disk.commit()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jasper O'neal Hartline 2010-08-19 03:38:59 EDT
Created attachment 439604 [details]
Script to reproduce memory corruption

Script to reproduce memory curruption
Comment 2 Jasper O'neal Hartline 2010-08-19 03:46:03 EDT
Created attachment 439606 [details]
valgrind output of partition.py script

valgrind output from running partition.py attached already
Comment 3 Jasper O'neal Hartline 2010-08-19 03:51:15 EDT
Looks like an initial invalid read of 4 bytes, and then subsequent uses of regions already freed.
Comment 4 Bug Zapper 2011-06-01 07:09:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:25:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 David Cantrell 2011-06-28 10:32:25 EDT
The bugbot closed this one out, but I'm curious if you are still seeing this on Fedora 15?  If so, could you file the bug at https://fedorahosted.org/pyparted/

Thanks.

Note You need to log in before you can comment on or make changes to this bug.